PETSc version 3.15.5
Fix/Edit manual page

# PCFieldSplitGetISByIndex

Retrieves the elements for a given index field as an IS

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetISByIndex(PC pc,PetscInt index,IS *is)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| index | - index of this split

### Output Parameter

| is | - the index set that defines the vector elements in this field

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitGetIS(), PCFieldSplitSetIS()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages